<template>
  <div style="display:inline">
    <el-popconfirm title="确定删除当前通告吗？" @confirm="deleteRow()">
      <el-button type="primary"  plain slot="reference" size="small">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props: ['data'],
  methods: {
    deleteRow() {
      this.$api.requested({
        "id": 20221102143802,
        "content": {
          "sat_coursewareid": [this.data.sat_coursewareid]
        }
      }).then(res => {
        this.tool.showMessage(res)
        res.code === 1 ? this.$emit('onSuccess') : ''
      })
    },
  }
}

</script>
